Viewing 10 posts - 1 through 10 (of 12 total)
  • Author
    Posts
  • #10669 Reply

    Pawel Gerr

    Hi,
    please recompile the library for iOS with bitcode enabled to get away the following error while building apps in XCode 7:

    '.../PlugPDF.framework/PlugPDF' does not contain bitcode. You must rebuild it with bitcode enabled (Xcode setting ENABLE_BITCODE), obtain an updated library from the vendor, or disable bitcode for this target. for architecture arm64

    – Pawel

    #10673 Reply

    Dr. Plug
    Moderator

    Dear Pawel,

    Thank you for your advice. We will enable bitcode in the next scheduled update.
    Best regards,

    Dr. Plug

    #10802 Reply

    Dr. Plug
    Moderator

    Dear Pawel,

    i apologize for the late reply.
    there were a lot of works in our side. That’s why I replied too late.

    You library was compiled without bitcode but the bitcode option is enabled in your project settings. Say NO to Enable Bitcode in your target Build Settings and the Library Build Settings to remove the warnings.

    if you refer this link, you could resolve that problem.
    so could you check it?
    http://stackoverflow.com/questions/30848208/new-warnings-in-ios9

    Regards,
    Dr.Plug

    #11497 Reply

    Alana

    Has there been a release with bitcode enabled yet?

    #11500 Reply

    Dr. Plug
    Moderator

    Dear Alana,

    Thank you for asking that question.

    There is no bitcode issue anymore in the recent updated version.

    Please contact us if you have any further questions.

    Best regards,
    Dr.Plug

    PlugPDF Support.

    #11502 Reply

    Alana

    Thank you for your response! However, I am still getting this error:

    I just downloaded the SDK here: . Is there a newer version?

    Thanks!

    #11503 Reply

    Dr. Plug
    Moderator

    Dear Alana,

    Thank you for your details.

    We just checked this issue again,but still there is no error.
    Please download PlugPDF SDK at https://plugpdf.com/sdkfile/PlugPDF_iOS.zip and try again.

    Please contact us if you have any further questions.

    Best regards,
    Dr.Plug

    PlugPDF Support.

    #11531 Reply

    Michael Hall

    Alana,

    You are not the only one with this problem. When I build for debugging with bit code not enabled, this is not an issue. I am able to run my project in my iPad and successfully test my code. However if I build an Archive that way in an attempt to submit the updates to my application on the app store, I get errors stating that the application must be built with full bit encode enabled. When I enable full bit code and build again for testing that also works. However when I then build the Archive for submittal I get the following linker error:

    ld: bitcode bundle could not be generated because ‘/Developer/projects/xcode/IPad/BocaIPad_current/PlugPDF.framework/PlugPDF’ was built without full bitcode. All object files and libraries for bitcode must be generated from Xcode Archive or Install build for architecture armv7
    clang: error: linker command failed with exit code 1 (use -v to see invocation)

    I am updating an application posted on the app store for four years. This is the first update that includes PlugPDF. We purchased full license for both IOS and Android. It works great but the SDK does not seem to have been built full bit code enabled based on the Apple app store requirements. This has stopped me from posting a completed project. I will re-download the plugPDF.zip file as suggested above and try again. I posted this because a regular build seems to work, but not an archive build. PlugPDF, have you tested that?

    #11532 Reply

    Dr. Plug
    Moderator

    Hello Michael

    Thank you very much for your detail report.
    It could not make the error anymore, we just fixed the issue.
    Please, download the PlugPDF SDK at https://plugpdf.com/sdkfile/PlugPDF_iOS_temp.zip and try again.
    The URL for download is temporary, but we have a plan to update our product very soon.

    Please contact us if you have any further questions.

    Best regards,
    Dr.Plug

    PlugPDF Support.

    #11533 Reply

    Michael Hall

    Dr. Plug,

    I appreciate the effort but it appears PlugPDF has moved in the wrong direction. I downloaded from the link above. I removed the older bundle, framework and library files from my project. I then replaced them with the new files. It is possible I made a mistake, but I do not think so. With the original package I was able to perform a standard build, but had problems with submitting the Archive build, to the Apple app store as explained above. With the new package I am unable to perform a standard or an archive build. This is the new error message I am receiving.

    ld: ‘/Developer/projects/xcode/IPad/BocaIPad_current/PlugPDF.framework/PlugPDF’ does not contain bitcode. You must rebuild it with bitcode enabled (Xcode setting ENABLE_BITCODE), obtain an updated library from the vendor, or disable bitcode for this target. for architecture armv7
    clang: error: linker command failed with exit code 1 (use -v to see invocation)

    At my end it now fails whether I enable or disable bit code. It always fails with the same linker error, shown above, which appears to state PlugPDF does not contain bit code and it must be built with bit code. Did something new go wrong?

    Thank you for your time and effort,
    Michael

Viewing 10 posts - 1 through 10 (of 12 total)
Reply To: iOS: Rebuild with bitcode enabled
Your information: